Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159839 - kudzu segfaults on Dell Inspiron 510m
Summary: kudzu segfaults on Dell Inspiron 510m
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 156320 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-08 15:45 UTC by Mike Leech
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-667
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:57:34 UTC


Attachments (Terms of Use)
strace output from kudzu (deleted)
2005-06-09 09:10 UTC, Mike Leech
no flags Details
/lib/modules/2.4.21-32.EL/modules.usbmap (deleted)
2005-06-09 16:10 UTC, Mike Leech
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:666 qe-ready SHIPPED_LIVE kudzu bugfix update 2005-09-28 04:00:00 UTC
Red Hat Product Errata RHBA-2005:667 qe-ready SHIPPED_LIVE kudzu bug fix update 2005-10-05 04:00:00 UTC

Description Mike Leech 2005-06-08 15:45:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
Installation of Enterprise linux 3 Update 5 works fine. On reboot kudzu fails with error message:

/etc/rc5.b/S05kudzu: line 97: 514 Segmentation fault /usr/sbin/kudzu $KUDZU_ARGS -t 30

Only ext3 and jbd modules are loaded.

Subsequently running kudzu also segfaults.

I've tried on two identical machines, both show the same problem.
Enterprise linux 3 update 4 works fine!
I've tried turning all the hardware I can off in the BIOS (wirless lan, modem), same problem.


Version-Release number of selected component (if applicable):
kudzu-1.1.22.11-1

How reproducible:
Always

Steps to Reproduce:
1. Install Enterprise Linux 3 U5 via network kickstart on Dell Inspiron 510m
2. Click Exit at end of install to reboot
  

Actual Results:  kudzu segfaults during boot

Expected Results:  kudzu should detect hardware and boot should continue

Additional info:

Comment 1 Bill Nottingham 2005-06-08 16:21:58 UTC
Can you attach a strace?

Comment 2 Mike Leech 2005-06-09 09:10:18 UTC
Created attachment 115254 [details]
strace output from kudzu

Comment 3 Bill Nottingham 2005-06-09 14:49:58 UTC
Can you attach your modules.usbmap?

Comment 4 Mike Leech 2005-06-09 16:10:24 UTC
Created attachment 115266 [details]
/lib/modules/2.4.21-32.EL/modules.usbmap

Comment 5 Bill Nottingham 2005-06-09 17:52:13 UTC
Hm, it's not segfaulting with that for me when I test it on a U5-ish box with that.

If you install
http://people.redhat.com/notting/kudzu/kudzu-debuginfo-1.1.22.11-1.i386.rpm

and run kudzu under gdb, what's the backtrace?



Comment 6 Bill Nottingham 2005-06-09 18:06:17 UTC
Wait, according to your strace, modules.pcimap/modules.usbmap is empty, not what
you attached.

That's what's causing the segfault.


Comment 9 Mike Leech 2005-06-10 15:10:40 UTC
(In reply to comment #6)
> Wait, according to your strace, modules.pcimap/modules.usbmap is empty, not what
> you attached.
> 
> That's what's causing the segfault.

Your not wrong! On the laptop the strace came from all the
/lib/modules/2.4.21-32.EL/*.* files are zero size! I'm a bit embarrassed to say
that I sent you the /lib/modules/2.4.21-32.EL/modules.usbmap file from a
different laptop. However, the two lappies were installed identically and this
one also segfaults, but this time its on reading
/lib/modules/2.4.21-32.EL/modules.isapnpmap which is zero size!

I can send you the backtrace if you like, but it only confirms that the file is
zero size. It's also a bit of a pain getting files on and off the machine as I
have to boot with knoppix.

Any ideas why these files might get wiped? I'll reinstall the machine and see if
they're zero size on install or modified later. I might also install from cdrom
instead of a kickstarted network install, but I don't think I'm doing anything
stupid (famous last words).


Comment 10 Bill Nottingham 2005-06-10 19:01:49 UTC
Perhaps it ran out of space when depmod ran? depmod is what writes the files.

Comment 11 Mike Leech 2005-06-13 08:36:39 UTC
Ah, I can run depmode -a and these files are indeed created. Kudzu now runs
without segfaulting and I can use most of the hardware.

There's plenty of space on the drive so why are the files initialy created
empty? I'll dig a bit more.

Comment 15 Bill Nottingham 2005-07-13 01:51:22 UTC
Fixed in 1.1.95.13-1/1.1.22.13-1.

Comment 18 Red Hat Bugzilla 2005-09-28 18:24:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-666.html


Comment 19 Red Hat Bugzilla 2005-10-05 16:57:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-667.html



Note You need to log in before you can comment on or make changes to this bug.